Name:                cal10n
Version:             0.8.1
Release:             2
Summary:             Compiler assisted localization library (CAL10N)
License:             MIT
URL:                 http://cal10n.qos.ch
Source0:             https://github.com/qos-ch/cal10n/archive/v_%{version}.tar.gz#/%{name}-v_%{version}.tar.gz
BuildArch:           noarch
BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.maven:maven-artifact-manager) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven.plugins:maven-source-plugin) mvn(org.apache.maven:maven-artifact)
%description
CAL10N is a java library for writing localized messages. It`s abbreviated as CAL10N.
It`s for compiler assested localization.

%package javadoc
Summary:             API docs for cal10n
%description javadoc
This package provides docs for use of the library (CAL10N).

%package -n maven-cal10n-plugin
Summary:             CAL10N maven plugin
%description -n maven-cal10n-plugin
This package provides the verify codes defined in an enum type match
those in the corresponding resource bundles.

%prep
%autosetup -n cal10n-v_%{version} -p1
find . -name \*.jar -delete
%pom_xpath_remove pom:extensions
%pom_add_dep org.apache.maven:maven-artifact maven-cal10n-plugin
%pom_disable_module cal10n-site
%pom_disable_module maven-cal10n-plugin-smoke
%mvn_package :*-{plugin} @1
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions" "
    <execution>
      <id>default-jar</id>
      <phase>skip</phase>
    </execution>" cal10n-api

%build
%mvn_build -- -Dproject.build.sourceEncoding=ISO-8859-1

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/cal10n
%doc LICENSE.txt

%files -n maven-cal10n-plugin -f .mfiles-plugin

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Tue Jun 13 2020 liqingqing_1229 <liqingqing3@huawei.com> - 0.8.1-2
- update source0

* Wed Jun 10 2020 Jeffery.Gao <gaojianxing@huawei.com> - 0.8.1-1
- Package init
